[DHG_packages] 12/21: upgrade.sh: Refuse to upgrade to the same version

Joachim Breitner nomeata at moszumanska.debian.org
Wed Aug 12 12:18:12 UTC 2015


This is an automated email from the git hooks/post-receive script.

nomeata pushed a commit to branch master
in repository DHG_packages.

commit 5ae613157b69eec3f8f0ffe62b9bb8eb05e2e207
Author: Joachim Breitner <mail at joachim-breitner.de>
Date:   Wed Aug 12 13:56:41 2015 +0200

    upgrade.sh: Refuse to upgrade to the same version
---
 upgrade.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/upgrade.sh b/upgrade.sh
index 6ca8d5e..29cad75 100755
--- a/upgrade.sh
+++ b/upgrade.sh
@@ -34,7 +34,13 @@ version=$(grep "^$cabal_name " ../../../package-plan/packages.txt|cut -d\  -f2)
 
 if [ -z "$version" ]
 then
-	echo "could not detect version to upgrade to"
+	echo "could not detect version to upgrade to."
+	exit 1
+fi
+
+if [ "$version" = "$old_version" ]
+then
+	echo "No new version to upgrade to."
 	exit 1
 fi
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-haskell/DHG_packages.git



More information about the Pkg-haskell-commits mailing list